Starmade | Invisibility mode ship issues
Closed, FinishedPublic

Description

Invisibility_mode had some issues but most of them were fixed.

  • An invisible player does not make his ship invisible, the ship is "radar jammed" but not "cloaked", it should be both "cloaked" and "radar jammed".
  • the radar jam only applies for the controlled entity, rail docked entities are not "cloaked" and are not "radar jammed" either.

Details

Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
Yes
Last tested (version)
0.19604 (Dev)
Issue Type
Bug
Category
Engine
First occurrence (version)
0.174
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Turn on invisibility
  2. get in a ship and place down a thruster
  3. thruster plume is still visible, both by you and other players
Tester information (Internal use only)

Aaaalmost fixed:

  • Thruster plumes of the invisible ship is still visible :(

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 5 2015, 1:40 PM
lancake changed Category from none/unspecified to Engine.
lancake changed Affected Gamemode(s) from none/unspecified to Multiplayer.
lancake set First occurrence (version) to 0.174.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 5 2015, 4:30 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 8:57 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19349 (Dev).Sep 26 2015, 9:17 AM
lancake changed Last tested (version) from 0.19349 (Dev) to 0.19439 (Dev).Sep 26 2015, 10:08 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 7:18 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Mar 10 2016, 3:52 PM

-QA Testing-

Aaaalmost fixed:

  • Thruster plumes of the invisible ship is still visible :(

lancake changed Last tested (version) from 0.19439 (Dev) to 0.19602 (Dev).Mar 10 2016, 3:53 PM
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 12 2016, 4:32 PM
lancake closed this task as "Closed".Mar 14 2016, 3:09 PM

-QA Testing-

Fix confirmed,

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 14 2016, 3:09 PM
lancake changed Last tested (version) from 0.19602 (Dev) to 0.19604 (Dev).Mar 14 2016, 3:10 PM

Add Comment